#pragma once
#include "Mod.h"

#include "Datas/LanguageDatas.h"

class ChestStealer : public Mod {
public:
	float minspeed = 0.1f;
	float maxspeed = 0.2f;
	bool autoclose = true;
	bool nogui = false;
	ChestStealer() : Mod(Datas::Language::get().module.player.cheststealer.name, Datas::Language::get().module.player.cheststealer.description, Category::PLAYER) {
		settings.push_back(new Setting{ _("Min Speed"), &minspeed, new float(1.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Max Speed"), &maxspeed, new float(1.f), new float(0.f), 2, {}, true });

		settings.push_back(new Setting{ _("Auto Close"), &autoclose, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("No GUI"), &nogui, 0, 0, 0, {}, true });

		enabled = false;
	}
private:
	virtual auto onContainerScreenTick(ContainerScreenController* _this) -> void override;
	virtual auto onUIControlGetPosition(UIControl* _this, glm::vec2* position) -> void override;
	virtual auto onClient4() -> void override;
	virtual auto getMode() -> std::string;
};
